mapcache_detail(1)

NAME
mapcache_detail - coverage analysis tool for SQLite caches

SYNOPSIS
\FCmapcache_detail\F[]
[options]

DESCRIPTION
mapcache_detail is a coverage analysis tool for SQLite caches.

OPTIONS

\FC-c\F[], \FC--config\F[] file
    Configuration file (/path/to/mapcache.xml)

\FC-D\F[], \FC--dimension\F[] DIMENSION_NAME=VALUE
    Set the value of a dimension: format DIMENSIONNAME=VALUE. Can be used multiple times for multiple dimensions

\FC-t\F[], \FC--tileset\F[] name
    Tileset to analyze

\FC-g\F[], \FC--grid\F[] name
    Grid to analyze

\FC-e\F[], \FC--extent\F[] minx,miny,maxx,maxy
    Extent to analyze: format minx,miny,maxx,maxy. Cannot be used with \FC--ogr-datasource\F[]

\FC-d\F[], \FC--ogr-datasource\F[] data source
    OGR data source to get features from. Cannot be used with \FC--extent\F[].

\FC-l\F[], \FC--ogr-layer\F[] layer
    OGR layer inside OGR data source. Cannot be used with \FC--ogr-sql\F[].

\FC-w\F[], \FC--ogr-where\F[] filter
    Filter to apply on OGR layer features. Cannot be used with \FC--ogr-sql\F[].

\FC-s\F[], \FC--ogr-sql\F[] SQL query
    SQL query to filter inside OGR data source. Cannot be used with \FC--ogr-layer\F[] or \FC--ogr-where\F[].

\FC-z\F[], \FC--zoom\F[] minzoom,maxzoom
    Set min and max zoom levels to analyze, separated by a comma, eg: 12,15

\FC-q\F[], \FC--query\F[] value
    Set query for counting tiles in a rectangle. Default value works with default schema of SQLite caches.

\FC-o\F[], \FC--short-output\F[]
    Only existing SQLite files are reported, missing SQLite files are still taken into account for level and global coverage.

EXAMPLE
Analyze tile coverage of tileset osm with the g grid. Default extent is the whole world and default zoom level is 0:

\FC
        mapcache_detail --config mapcache.xml --tileset osm --grid g
      \F[]

Same as beforehand, with explicit zoom levels 9 to 12 and explicit extent covering Switzerland:

\FC
        mapcache_detail --config mapcache.xml --tileset osm --grid g --zoom 9,12 --extent 663000,5751230,1167680,6075050
      \F[]